Get a Payment Source

Get a payment source by its unique identifier. A Payment Source represents a segregated address for incoming deposits. In practice, this can be separate electronic bank addresses (account + routing numbers) or physical mailing addresses (lockboxes). Payment Sources make it easy to independently manage and consolidate incoming payments and donations from different sources which in turn makes reconciliation of money and data seamless. Every Payment Source belongs to a specific Financial Account and can be thought of as a gateway/door for money to flow into the Financial Account. Payment Sources are not separately ledgered which means you can't get the balance of a Payment Source separately from the Financial Account. Payment Sources should be setup and managed through the Chariot Dashboard.

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

idstringRequired
The unique identifier for the payment source

Response

Successfully retrieved the payment source.
idstringRead-only
The unique identifier for the payment source
financial_account_idstring
The unique identifier for the financial account that the payment source belongs to
namestring
The name of the payment source
source_typeenum
The type of the payment source
Allowed values:
financial_addressobject

A subhash containing information about the electronic bank address payment rail details. This is only available for manual and connected_account payment sources.

lockboxobject
A US mailing address to process incoming physical mail and checks. This is only available for lockbox payment sources.
created_atstringRead-onlyformat: "date-time"
The date and time when the payment source was created
updated_atstringRead-onlyformat: "date-time"
The date and time when the payment source was last updated

Errors

400
Bad Request Error
401
Unauthorized Error
403
Forbidden Error
404
Not Found Error
500
Internal Server Error